org.springframework.data.mapping

## Enum AccessOptions.GetOptions.GetNulls

- java.lang.Object
- - java.lang.Enum<AccessOptions.GetOptions.GetNulls>
  - - org.springframework.data.mapping.AccessOptions.GetOptions.GetNulls

All Implemented Interfaces:
  Serializable, Comparable<AccessOptions.GetOptions.GetNulls>

Enclosing class:
  AccessOptions.GetOptions

    public static enum AccessOptions.GetOptions.GetNulls
    extends Enum<AccessOptions.GetOptions.GetNulls>

How to handle null values during a `PersistentPropertyPath` traversal.

Author:
  Oliver Drotbohm

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`EARLY_RETURN` Returns null as the entire path's traversal result.
`REJECT` Reject the path lookup as a null value cannot be traversed any further.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`AccessOptions.SetOptions.SetNulls` `toNullHandling()`
`static AccessOptions.GetOptions.GetNulls` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AccessOptions.GetOptions.GetNulls[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REJECT

    public static final AccessOptions.GetOptions.GetNulls REJECT

Reject the path lookup as a null value cannot be traversed any further.

#### EARLY_RETURN

    public static final AccessOptions.GetOptions.GetNulls EARLY_RETURN

Returns null as the entire path's traversal result.

### Method Detail

#### values

    public static AccessOptions.GetOptions.GetNulls[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (AccessOptions.GetOptions.GetNulls c : AccessOptions.GetOptions.GetNulls.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static AccessOptions.GetOptions.GetNulls valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toNullHandling

    public AccessOptions.SetOptions.SetNulls toNullHandling()